#!/usr/bin/env node
import "dotenv/config"; // Load Envars
import Qualiteer from "qualiteer";
import { Initiator, Executor } from "qualiteer/clients";

// Start server
const qltr = new Qualiteer();
await qltr.start();

const url = process.env.QUALITEER_URL;

// Create an initiator and make a job request
const primary = new Initiator(url);
const job = {
  type: "compound",
  testName: "primary",
  pipeline: {
    triggers: {
      secondary1: {
        tertiary1: {},
        tertiary2: { __testDelay: 5000 },
        __testDelay: 1000,
      },
      secondary2: { tertiary3: { __testDelay: 3000 }, __testDelay: 15000 },
    },
  },
  name: "testing",
  image: "node",
};

const launchJob = () =>
  primary.newPipelineJob(job, null, () => console.log("Primary Job Concluded"));
launchJob();
